apiVersion: cdi.kubevirt.io/v1alpha1
kind: DataVolume
metadata:
  name: {{ dv_name }}
  namespace: {{ namespace }}
spec:
  source:
{% if dv_source | default(False) %}
    http:
      url: {{ dv_source }}
{% else %}
    upload: {}
{% endif %}
  pvc:
    accessModes: [ {{ dv_access_mode | default('ReadWriteOnce') }} ]
    resources:
      requests:
        storage: "{{ dv_size | default('1Gi') }}"
{% if (dv_access_mode | default('ReadWriteOnce')) == 'ReadWriteOnce' and rwo_storage is defined %}
    storageClassName: {{ rwo_storage }}
{% elif (dv_access_mode | default('ReadWriteOnce')) == 'ReadWriteMany' and rwx_storage is defined %}
    storageClassName: {{ rwx_storage }}
{% endif %}
